Name:           cmdtest
Version:        0.32
Release:        1%{?dist}
Summary:        Black-box testing for Unix command line tools

License:        GPLv3+
URL:            http://liw.fi/%{name}/
Source0:        http://code.liw.fi/debian/pool/main/c/%{name}/%{name}_%{version}.orig.tar.xz
Patch0:         cmdtest-0.32-versioned_python.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-coverage-test-runner
BuildRequires:  python2-cliapp
BuildRequires:  python2-markdown
BuildRequires:  python2-ttystatus
Requires:       python2-cliapp
Requires:       python2-markdown
Requires:       python2-ttystatus

%description
cmdtest black box tests Unix command line tools. Roughly, it is given
a command line and input files, and the expected output, and it
verifies that the command line produces the expected output. If not,
it reports a problem, and shows the differences.


%prep
%autosetup -p1


%build
%py2_build


%install
%py2_install


%check
# CoverageTestRunner trips up on build directory;
# since we've already done the install phase, remove it first
rm -rf build
%{__python2} -m CoverageTestRunner --ignore-missing-from=without-tests


%files
%license COPYING
%doc NEWS README README.yarn
%{_bindir}/cmdtest
%{_bindir}/yarn
%{_mandir}/man1/cmdtest.1*
%{_mandir}/man1/yarn.1*
%{python2_sitelib}/*


%changelog
* Thu Feb  7 2019 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.32-1
- Update to 0.32

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 20 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.30-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Aug 06 2017 Filipe Rosset <rosset.filipe@gmail.com> - 0.30-1
- Update to latest upstream release 0.30
- Remove upstreamed patch

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Nov 06 2016 Filipe Rosset <rosset.filipe@gmail.com> - 0.27-1
- Update to latest upstream release 0.27 + disabled checks
- Fixes RHBZ #1274106 and #1307385

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jul 19 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16-1
- Update to 0.16

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Michel Salim <salimma@fedoraproject.org> - 0.12-1
- Update to 0.12

* Fri Sep 27 2013 Michel Salim <salimma@fedoraproject.org> - 0.9-1
- Update to 0.9

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul  4 2013 Michel Salim <salimma@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3

* Sun Mar 17 2013 Michel Salim <salimma@fedoraproject.org> - 0.6-1
- Update to 0.6

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 0.5-1
- Update to 0.5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 16 2012 Michel Salim <salimma@fedoraproject.org> - 0.3-3
- Switch source URL to Debian servers

* Mon Jun 25 2012 Michel Salim <salimma@fedoraproject.org> - 0.3-2
- Remove deprecated %%{python_sitelib} declaration
- Delete build directory before doing coverage tests; the coverage
  exclusion list does not include the built version of the excluded
  modules

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 0.3-1
- Initial package
